SSS_USERDEL(8)

NAME
sss_userdel - delete a user account

SYNOPSIS

sss_userdel [options] LOGIN

DESCRIPTION

sss_userdel deletes a user identified by login name LOGIN from the system.

OPTIONS

-?,--help
    Display help message and exit.

-r,--remove
    Files in the user's home directory will be removed along with the home directory itself and the user's mail spool. Overrides the configuration.

-R,--no-remove
    Files in the user's home directory will NOT be removed along with the home directory itself and the user's mail spool. Overrides the configuration.

-f,--force
    This option forces sss_userdel to remove the user's home directory and mail spool, even if they are not owned by the specified user.

-k,--kick
    Before actually deleting the user, terminate all his processes.

THE LOCAL DOMAIN

In order to function correctly, a domain with “id_provider=local” must be created and the SSSD must be running.

The administrator might want to use the SSSD local users instead of traditional UNIX users in cases where the group nesting (see sss_groupadd(8)) is needed. The local users are also useful for testing and development of the SSSD without having to deploy a full remote server. The sss_user* and sss_group* tools use a local LDB storage to store users and groups.

SEE ALSO

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/